Subject: bug#41097: 28.0.50; (dired-toggle-marks) not working after copy

From: Michael Heerdegen <[email-masked]>
Date: Sat, 09 May 2020 07:22:03 +0200

Drew Adams <[email-masked]> writes:

> >   "Files marked with other flags (such as ‘D’) are not affected."
>
> Yes.  Files marked with `C' are not affected.
>
> If you want the copies to be marked with `*'
> (instead of `C') in the target directory then
> set or bind `dired-keep-marker-copy' to `t'
> for the copy operation.  Otherwise the mark
> used is `C'.
>
> > You must unmark the copied files (the C mark)
> > for toggling to have an effect on them.
>
> You can.  But you need not unmark files that
> are marked with another mark, if you want them
> marked normally (or in some other way).
>
> You can instead use `* c' to change marks of
> one kind (e.g. `C') to marks of another kind
> (e.g. `*').
>
> The prompts for this use `read-char', so it is
> very quick (no need to hit `RET').

Yeah, I use this sometimes.  FWIW, personally, I hacked my t to a more
convenient behavior: if I hit t and there are marks, it asks me whether
any existing marks besides * shall be removed, when there are some.  I
like an explicit question in this case because I tended to expect
different behavior in different situations, and mainly because I often
missed that there were any other marks, especially if the buffer is not
completely displayed when it is large.  That is a bit of a pitfall, but
the default behavior may also be surprising to users because the C marks
are not very useful per se (they are sometimes, so I don't want to turn
them off, but when using t a lot, they often just get in the way).

> Dired has lots of handy things like this, some
> of which are not known too well.  Another
> handy one is `M-DEL' (aka `M-<backspace>').
> It unmarks a particular mark (for all files
> listed in the buffer).  Just hit `RET' to
> remove all marks, of any kind.

Didn't know that.  My replacements were * ! and * c SPC (marking with
SPC also unmarks).

Michael.